package com.mortals.xhx.module.dimension.dao.ibatis;


import com.mortals.framework.dao.ibatis.BaseCRUDDaoMybatis;
import com.mortals.xhx.module.dimension.dao.DimensionResourceRuleDao;
import com.mortals.xhx.module.dimension.model.DimensionResourceRuleEntity;
import org.springframework.stereotype.Repository;

import java.util.HashMap;
import java.util.List;
/**
* 角色资源维度规则DaoImpl DAO接口
*
* @author zxfei
* @date 2024-05-16
*/
@Repository("dimensionResourceRuleDao")
public class DimensionResourceRuleDaoImpl extends BaseCRUDDaoMybatis<DimensionResourceRuleEntity,Long> implements DimensionResourceRuleDao {


    /**
     * @param userId
     * @param route
     * @return
     */
    @Override
    public List<DimensionResourceRuleEntity> getRoleComponentRule(Long userId, String route) {

        return getSqlSession().selectList(getSqlId("getRoleComponentRule"), new HashMap<String, Object>() {
            {
                put("userId", userId);
                put("route", route);
            }
        });
    }
}
